Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065734 - [abrt] gnome-shell: FcFontSetMatchInternal(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: FcFontSetMatchInternal(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d26e0df96b7c3ac34abe9394cf7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 13:01 UTC by Nicolas Mailhot
Modified: 2016-07-19 11:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:01:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: cgroup (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: core_backtrace (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: dso_list (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: environ (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: exploitable (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: limits (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: maps (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: open_fds (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: proc_pid_status (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details
File: var_log_messages (deleted)
2014-02-16 13:01 UTC, Nicolas Mailhot
no flags Details

Description Nicolas Mailhot 2014-02-16 13:01:02 UTC
Version-Release number of selected component:
gnome-shell-3.11.5-3.fc21

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: FcFontSetMatchInternal
executable:     /usr/bin/gnome-shell
kernel:         3.14.0-0.rc2.git2.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 FcFontSetMatchInternal at fcmatch.c:618
 #1 IA__FcFontMatch at fcmatch.c:713
 #2 pango_fc_patterns_get_font_pattern at pangofc-fontmap.c:784
 #3 pango_fc_fontset_load_next_font at pangofc-fontmap.c:879
 #4 pango_fc_fontset_get_font_at at pangofc-fontmap.c:916
 #5 pango_fc_fontset_foreach at pangofc-fontmap.c:1038
 #6 get_shaper_and_font at pango-context.c:1283
 #7 itemize_state_process_run at pango-context.c:1485
 #8 pango_itemize_with_base_dir at pango-context.c:1590
 #9 pango_layout_check_lines at pango-layout.c:3998

Comment 1 Nicolas Mailhot 2014-02-16 13:01:09 UTC
Created attachment 863715 [details]
File: backtrace

Comment 2 Nicolas Mailhot 2014-02-16 13:01:11 UTC
Created attachment 863716 [details]
File: cgroup

Comment 3 Nicolas Mailhot 2014-02-16 13:01:13 UTC
Created attachment 863717 [details]
File: core_backtrace

Comment 4 Nicolas Mailhot 2014-02-16 13:01:16 UTC
Created attachment 863718 [details]
File: dso_list

Comment 5 Nicolas Mailhot 2014-02-16 13:01:18 UTC
Created attachment 863719 [details]
File: environ

Comment 6 Nicolas Mailhot 2014-02-16 13:01:20 UTC
Created attachment 863720 [details]
File: exploitable

Comment 7 Nicolas Mailhot 2014-02-16 13:01:22 UTC
Created attachment 863721 [details]
File: limits

Comment 8 Nicolas Mailhot 2014-02-16 13:01:26 UTC
Created attachment 863722 [details]
File: maps

Comment 9 Nicolas Mailhot 2014-02-16 13:01:28 UTC
Created attachment 863723 [details]
File: open_fds

Comment 10 Nicolas Mailhot 2014-02-16 13:01:31 UTC
Created attachment 863724 [details]
File: proc_pid_status

Comment 11 Nicolas Mailhot 2014-02-16 13:01:33 UTC
Created attachment 863725 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 15:29:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora End Of Life 2016-07-19 11:01:04 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.